Subject: Re: bug#79267: cp --sparse=auto heuristic fails on a squashfs mounted drive.

From: Paul Eggert <[email-masked]>
Date: Sat, 23 Aug 2025 12:03:08 -0700

On 2025-08-23 11:46, Phillip Lougher wrote:
> As far as Squashfs is concerned SEEK_HOLE/SEEK_DATA is easy to 
> implement.  So I'll think about adding it as a build option.

Thanks, that'll be helpful.

> But this isn't going to fix it for any other case.

Right, and bleeding-edge coreutils already has a (slowish) workaround 
for Squashfs as-is, as well as for other file systems that don't expose 
extents to user code. If I get around to it I will install similar 
workarounds in other user code I help maintain.